Name:          sndio
Version:       1.10.0
Release:       1mamba
Summary:       A small audio and MIDI framework
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sndio.org
Source:        https://sndio.org/sndio-%{version}.tar.gz
License:       ISC
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libbsd-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A small audio and MIDI framework.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --pkgconfdir=%{_libdir}/pkgconfig \
   --enable-alsa \
   --with-libbsd

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m 644 contrib/sndiod.service \
	%{buildroot}%{_unitdir}/sndiod.service
install -D -m 644 contrib/default.sndiod \
	%{buildroot}%{_sysconfdir}/default/sndiodì

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/default/sndiodì
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndioctl
%{_bindir}/sndiod
%{_unitdir}/sndiod.service
%{_mandir}/man1/aucat.1*
%{_mandir}/man1/midicat.1*
%{_mandir}/man1/sndioctl.1*
%{_mandir}/man8/sndiod.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsndio.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/sndio.h
%{_libdir}/libsndio.so
%{_mandir}/man3/mio_*.3*
%{_mandir}/man3/sio_*.3*
%{_mandir}/man3/sioctl_*.3*
%{_mandir}/man7/sndio.7*
%{_libdir}/pkgconfig/sndio.pc

%changelog
* Fri Aug 02 2024 Automatic Build System <autodist@openmamba.org> 1.10.0-1mamba
- automatic version update by autodist

* Sun Nov 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- package created using the webbuild interface
